#include <iostream>
#include <string>
#include <algorithm>
#include <vector>

using namespace std;
  
typedef long long ll;
 
ll cross_product(ll ax, ll ay, ll bx, ll by, ll cx, ll cy)
{
    return (bx - ax) * (cy - ay) - (by - ay) * (cx - ax);
}
  
bool inside(ll ax, ll ay, ll bx, ll by, ll cx, ll cy)
{
    return ( min(ax,bx) <= cx && cx <= max(ax,bx) && min(ay,by) <= cy && cy <= max(ay,by));
}
  
bool intersect (ll ax, ll ay, ll bx, ll by, ll cx, ll cy, ll dx, ll dy) 
{
    ll abc=cross_product(ax, ay, bx, by, cx, cy);
    ll abd=cross_product(ax, ay, bx, by, dx, dy);
    ll cda=cross_product(cx, cy, dx, dy, ax, ay);
    ll cdb=cross_product(cx, cy, dx, dy, bx, by);
     
    if (((abc>0 && abd<0)||(abc<0 && abd>0)) &&
        ((cda>0 && cdb<0)||(cda<0 && cdb>0)))
        return true;
  
    if (abc == 0 && inside(ax, ay, bx, by, cx, cy))return true;
    if (abd == 0 && inside(ax, ay, bx, by, dx, dy))return true;
    if (cda == 0 && inside(cx, cy, dx, dy, ax, ay))return true;
    return cdb == 0 && inside(cx, cy, dx, dy, bx, by);
}
 
int main() {
    int cases;
    ll x1,y1,x2,y2,x3,y3;
    cin >> cases;
    while(cases--){
        cin >> x1 >> y1 >> x2 >> y2 >> x3 >> y3;
        if (intersect(0, 0, x3, y3, x1, y1, x2, y2))
            cout << "NO" << endl;
        else
            cout << "YES" << endl;
    }
}